using System.Collections.Generic;

namespace _Core.Plugin
{
    public class PluginInfo
    {
        public string version;
        public PluginType pluginType;
    }

    public enum PluginType
    {
        Login,
        Payment
    }

    public abstract class Plugin
    {
        public abstract void Start(Dictionary<string, object> options);

        public abstract void Login();

        public abstract PluginInfo GetPluginInfo();
    }
}